binder_first< BinaryFunction, A1 >

## Public Member Functions

| binder_first (const BinaryFunction &f, const A1 &x1)
template<class A2 >
generic_binary_traits< BinaryFunction >::template result_hint< A1, A2 >::type | operator() (const A2 &x2) const

## Protected Attributes

BinaryFunction | _f
A1 | _x1

## Detailed Description

### template<class BinaryFunction, class A1>
struct rheolef::details::binder_first< BinaryFunction, A1 >

Definition at line 1684 of file expression.h.

## Constructor & Destructor Documentation

## binder_first()

binder_first | ( | const BinaryFunction & | f,
|  | const A1 & | x1
| ) |  |

Definition at line 1685 of file expression.h.

## Member Function Documentation

## operator()()

generic_binary_traits<BinaryFunction>::template result_hint<A1,A2>::type operator() | ( | const A2 & | x2 | ) | const

Definition at line 1688 of file expression.h.

## Member Data Documentation

## _f

BinaryFunction _f

protected

Definition at line 1690 of file expression.h.

## _x1

A1 _x1

protected

Definition at line 1691 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h